Bug 115020 - Kontact crashes on startup after it crashed on filtering IMAP messages (backtraces inside)
Summary: Kontact crashes on startup after it crashed on filtering IMAP messages (backt...
Status: RESOLVED DUPLICATE of bug 140460
Alias: None
Product: kmail
Classification: Applications
Component: IMAP (show other bugs)
Version: unspecified
Platform: Ubuntu Linux
: NOR crash with 46 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
: 128560 129231 131368 138710 (view as bug list)
Depends on:
Blocks:
 
Reported: 2005-10-24 20:52 UTC by Daniel Hahler
Modified: 2007-09-14 12:17 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
kontact-backtrace.txt (7.69 KB, text/plain)
2005-10-30 17:59 UTC, Marcus D. Hanwell
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Hahler 2005-10-24 20:52:02 UTC
Version:            (using KDE KDE 3.4.92)
Installed from:    Ubuntu Packages

I marked a bunch of IMAP messages (a few hundreds) and pressed Ctrl-J to filter them. Kontact did not use a lot of memory or made the system unusable as when I've did this the last time (but with non-KDE3.5-KMail and a lot more messages (30.000!)).
But suddenly it crashed. If I remember correctly this was when I was typing a message (and it was still filtering).

When I started Kontact again, it crashed. Also the second time I've started it. Then I tried "kmail" and it recovered.
The IMAP folder where I was filtering was closed and the cache seems to got los, because when opening it, KMail started counting the number of (unread) messages from zero.

There are three backtraces. The first one is from the initial crash, the other two from launching Kontact after that.


The crash:
(no debugging symbols found)
Using host libthread_db library "/lib/tls/i686/cmov/libthread_db.so.1".
(no debugging symbols found)
`system-supplied DSO at 0xffffe000' has disappeared; keeping its symbols.
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1240860448 (LWP 11184)]
[KCrash handler]
#4  0xb542d98c in KMFolder::noContent () from /usr/lib/libkmailprivate.so
#5  0xb55b120c in KMFolderTree::slotUpdateCounts ()
   from /usr/lib/libkmailprivate.so
#6  0xb55b13dd in KMFolderTree::slotUpdateCountTimeout ()
   from /usr/lib/libkmailprivate.so
#7  0xb561c2f0 in KMFolderTree::qt_invoke () from /usr/lib/libkmailprivate.so
#8  0xb6894929 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#9  0xb68953c4 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#10 0xb6bf5f9a in QTimer::timeout () from /usr/lib/libqt-mt.so.3
#11 0xb68b9c19 in QTimer::event () from /usr/lib/libqt-mt.so.3
#12 0xb682bf80 in QApplication::internalNotify () from /usr/lib/libqt-mt.so.3
#13 0xb682c172 in QApplication::notify () from /usr/lib/libqt-mt.so.3
#14 0xb6f76eec in KApplication::notify (this=0xbf89d240, receiver=0x8789d40, 
    event=0xbf89cfa8) at kapplication.cpp:550
#15 0xb67bcdb7 in QApplication::sendEvent () from /usr/lib/libqt-mt.so.3
#16 0xb681d99b in QEventLoop::activateTimers () from /usr/lib/libqt-mt.so.3
#17 0xb67d0a84 in QEventLoop::processEvents () from /usr/lib/libqt-mt.so.3
#18 0xb6843cfb in QEventLoop::enterLoop () from /usr/lib/libqt-mt.so.3
#19 0xb6843c1e in QEventLoop::exec () from /usr/lib/libqt-mt.so.3
#20 0xb682ac13 in QApplication::exec () from /usr/lib/libqt-mt.so.3
#21 0x0805ac7d in ?? ()
#22 0xbf89d240 in ?? ()
#23 0x00000001 in ?? ()
#24 0x00000001 in ?? ()
#25 0x00000000 in ?? ()
#26 0x00000015 in ?? ()
#27 0x0804ea9b in ?? ()
#28 0x00000008 in ?? ()
#29 0x00000004 in ?? ()
#30 0xb6306cd0 in ?? () from /usr/lib/libstdc++.so.6
#31 0xb61f9908 in __malloc_initialize_hook ()
   from /lib/tls/i686/cmov/libc.so.6
#32 0x00000002 in ?? ()
#33 0x00000015 in ?? ()
#34 0x08065468 in vtable for QGList ()
#35 0xb7f89160 in ?? ()
#36 0x080c3e28 in ?? ()
#37 0x00000000 in ?? ()
#38 0x080c3b80 in ?? ()
#39 0x08177420 in ?? ()
#40 0x08176d00 in ?? ()
#41 0x08198250 in ?? ()
#42 0x00000000 in ?? ()
#43 0x00000000 in ?? ()
#44 0x00000001 in ?? ()
#45 0x08079810 in ?? ()
#46 0x00000000 in ?? ()
#47 0x00000000 in ?? ()
#48 0x0819d7b0 in ?? ()
#49 0x080c0780 in ?? ()
#50 0x081610b8 in ?? ()
#51 0x08058a00 in ?? ()
#52 0x080654ec in vtable for QGList ()
#53 0x08162160 in ?? ()
#54 0x08161fc0 in ?? ()
#55 0x08181178 in ?? ()
#56 0xb6d274e0 in vtable for QCString () from /usr/lib/libqt-mt.so.3
#57 0x08078590 in ?? ()
#58 0xbf89d324 in ?? ()
#59 0x08161a90 in ?? ()
#60 0x0807a240 in ?? ()
#61 0x00000126 in ?? ()
#62 0x000001ff in ?? ()
#63 0xb65feecc in ?? () from /usr/lib/libqt-mt.so.3
#64 0x00000000 in ?? ()
#65 0x0806cf98 in ?? ()
#66 0x08058a01 in ?? ()
#67 0x081a0590 in ?? ()
#68 0x08194008 in ?? ()
#69 0xb60d99fc in ?? () from /lib/tls/i686/cmov/libc.so.6
#70 0xb60d132c in ?? () from /lib/tls/i686/cmov/libc.so.6
#71 0x080772c8 in ?? ()
#72 0x00000049 in ?? ()
#73 0xb6d0a460 in ?? () from /usr/lib/libqt-mt.so.3
#74 0x00000000 in ?? ()
#75 0xb7f9fca0 in _rtld_global () from /lib/ld-linux.so.2
#76 0xbf89d308 in ?? ()
#77 0xb6884c5f in QAsciiDict<void>::insert () from /usr/lib/libqt-mt.so.3
#78 0xb60e2ea2 in __libc_start_main () from /lib/tls/i686/cmov/libc.so.6
#79 0x08058791 in ?? ()



The first start of Kontact after that:
(no debugging symbols found)
Using host libthread_db library "/lib/tls/i686/cmov/libthread_db.so.1".
(no debugging symbols found)
`system-supplied DSO at 0xffffe000' has disappeared; keeping its symbols.
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1241397024 (LWP 13548)]
[KCrash handler]
#4  0xb53aa989 in KMFolder::noContent () from /usr/lib/libkmailprivate.so
#5  0xb55750f9 in KMAcctImap::processNewMail ()
   from /usr/lib/libkmailprivate.so
#6  0xb54db74e in KMail::AccountManager::processNextCheck ()
   from /usr/lib/libkmailprivate.so
#7  0xb54db90b in KMail::AccountManager::singleCheckMail ()
   from /usr/lib/libkmailprivate.so
#8  0xb54dbe97 in KMail::AccountManager::checkMail ()
   from /usr/lib/libkmailprivate.so
#9  0xb563e176 in KMMainWidget::slotCheckMail ()
   from /usr/lib/libkmailprivate.so
#10 0xb564f5a8 in KMMainWidget::qt_invoke () from /usr/lib/libkmailprivate.so
#11 0xb6811929 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#12 0xb6b70e92 in QSignal::signal () from /usr/lib/libqt-mt.so.3
#13 0xb682f344 in QSignal::activate () from /usr/lib/libqt-mt.so.3
#14 0xb6836e88 in QSingleShotTimer::event () from /usr/lib/libqt-mt.so.3
#15 0xb67a8f80 in QApplication::internalNotify () from /usr/lib/libqt-mt.so.3
#16 0xb67a9172 in QApplication::notify () from /usr/lib/libqt-mt.so.3
#17 0xb6ef3eec in KApplication::notify (this=0xbfc1b0d0, receiver=0x88eb518, 
    event=0xbfc1ae38) at kapplication.cpp:550
#18 0xb6739db7 in QApplication::sendEvent () from /usr/lib/libqt-mt.so.3
#19 0xb679a99b in QEventLoop::activateTimers () from /usr/lib/libqt-mt.so.3
#20 0xb674da84 in QEventLoop::processEvents () from /usr/lib/libqt-mt.so.3
#21 0xb67c0cfb in QEventLoop::enterLoop () from /usr/lib/libqt-mt.so.3
#22 0xb67c0c1e in QEventLoop::exec () from /usr/lib/libqt-mt.so.3
#23 0xb67a7c13 in QApplication::exec () from /usr/lib/libqt-mt.so.3
#24 0x0805ac7d in ?? ()
#25 0xbfc1b0d0 in ?? ()
#26 0x00000001 in ?? ()
#27 0x00000001 in ?? ()
#28 0x00000000 in ?? ()
#29 0x00000015 in ?? ()
#30 0x0804ea9b in ?? ()
#31 0x00000008 in ?? ()
#32 0x00000004 in ?? ()
#33 0xb6283cd0 in ?? () from /usr/lib/libstdc++.so.6
#34 0xb6176908 in __malloc_initialize_hook ()
   from /lib/tls/i686/cmov/libc.so.6
#35 0x00000002 in ?? ()
#36 0x00000015 in ?? ()
#37 0x08065468 in vtable for QGList ()
#38 0xb7f06160 in ?? ()
#39 0x080c3db0 in ?? ()
#40 0x00000000 in ?? ()
#41 0x080c3b08 in ?? ()
#42 0x08177470 in ?? ()
#43 0x08176d50 in ?? ()
#44 0x08198b08 in ?? ()
#45 0x00000000 in ?? ()
#46 0x00000000 in ?? ()
#47 0x00000001 in ?? ()
#48 0x08079810 in ?? ()
#49 0x00000000 in ?? ()
#50 0x00000000 in ?? ()
#51 0x0819d828 in ?? ()
#52 0x080c0700 in ?? ()
#53 0x08161048 in ?? ()
#54 0x08058a00 in ?? ()
#55 0x080654ec in vtable for QGList ()
#56 0x081620f0 in ?? ()
#57 0x08161f50 in ?? ()
#58 0x081811c8 in ?? ()
#59 0xb6ca44e0 in vtable for QCString () from /usr/lib/libqt-mt.so.3
#60 0x08078590 in ?? ()
#61 0xbfc1b1b4 in ?? ()
#62 0x08161a20 in ?? ()
#63 0x0807a240 in ?? ()
#64 0x00000126 in ?? ()
#65 0x000001ff in ?? ()
#66 0xb657becc in ?? () from /usr/lib/libqt-mt.so.3
#67 0x00000000 in ?? ()
#68 0x0806cf98 in ?? ()
#69 0x08058a01 in ?? ()
#70 0x081a0618 in ?? ()
#71 0x08189ee0 in ?? ()
#72 0xb60569fc in ?? () from /lib/tls/i686/cmov/libc.so.6
#73 0xb604e32c in ?? () from /lib/tls/i686/cmov/libc.so.6
#74 0x080772c8 in ?? ()
#75 0x00000049 in ?? ()
#76 0xb6c87460 in ?? () from /usr/lib/libqt-mt.so.3
#77 0x00000000 in ?? ()
#78 0xb7f1cca0 in _rtld_global () from /lib/ld-linux.so.2
#79 0xbfc1b198 in ?? ()
#80 0xb6801c5f in QAsciiDict<void>::insert () from /usr/lib/libqt-mt.so.3
#81 0xb605fea2 in __libc_start_main () from /lib/tls/i686/cmov/libc.so.6
#82 0x08058791 in ?? ()



And the second restart (before I've used simply "kmail" to start it):
(no debugging symbols found)
Using host libthread_db library "/lib/tls/i686/cmov/libthread_db.so.1".
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1240762144 (LWP 13585)]
[KCrash handler]
#7  0xb544598c in KMFolder::noContent () from /usr/lib/libkmailprivate.so
#8  0xb56100f9 in KMAcctImap::processNewMail ()
   from /usr/lib/libkmailprivate.so
#9  0xb557674e in KMail::AccountManager::processNextCheck ()
   from /usr/lib/libkmailprivate.so
#10 0xb557690b in KMail::AccountManager::singleCheckMail ()
   from /usr/lib/libkmailprivate.so
#11 0xb5576e97 in KMail::AccountManager::checkMail ()
   from /usr/lib/libkmailprivate.so
#12 0xb56d9176 in KMMainWidget::slotCheckMail ()
   from /usr/lib/libkmailprivate.so
#13 0xb56ea5a8 in KMMainWidget::qt_invoke () from /usr/lib/libkmailprivate.so
#14 0xb68ac929 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#15 0xb6c0be92 in QSignal::signal () from /usr/lib/libqt-mt.so.3
#16 0xb68ca344 in QSignal::activate () from /usr/lib/libqt-mt.so.3
#17 0xb68d1e88 in QSingleShotTimer::event () from /usr/lib/libqt-mt.so.3
#18 0xb6843f80 in QApplication::internalNotify () from /usr/lib/libqt-mt.so.3
#19 0xb6844172 in QApplication::notify () from /usr/lib/libqt-mt.so.3
#20 0xb6f8eeec in KApplication::notify (this=0xbffb3ef0, receiver=0x88d81b0, 
    event=0xbffb3c58) at kapplication.cpp:550
#21 0xb67d4db7 in QApplication::sendEvent () from /usr/lib/libqt-mt.so.3
#22 0xb683599b in QEventLoop::activateTimers () from /usr/lib/libqt-mt.so.3
#23 0xb67e8a84 in QEventLoop::processEvents () from /usr/lib/libqt-mt.so.3
#24 0xb685bcfb in QEventLoop::enterLoop () from /usr/lib/libqt-mt.so.3
#25 0xb685bc1e in QEventLoop::exec () from /usr/lib/libqt-mt.so.3
#26 0xb6842c13 in QApplication::exec () from /usr/lib/libqt-mt.so.3
#27 0x0805ac7d in ?? ()
#28 0xbffb3ef0 in ?? ()
#29 0x00000001 in ?? ()
#30 0x00000001 in ?? ()
#31 0x00000000 in ?? ()
#32 0x00000015 in ?? ()
#33 0x0804ea9b in ?? ()
#34 0x00000008 in ?? ()
#35 0x00000004 in ?? ()
#36 0xb631ecd0 in ?? () from /usr/lib/libstdc++.so.6
#37 0xb6211908 in __malloc_initialize_hook ()
   from /lib/tls/i686/cmov/libc.so.6
#38 0x00000002 in ?? ()
#39 0x00000015 in ?? ()
#40 0x08065468 in vtable for QGList ()
#41 0xb7fa1160 in ?? ()
#42 0x080c3e28 in ?? ()
#43 0x00000000 in ?? ()
#44 0x080c3b80 in ?? ()
#45 0x081774e0 in ?? ()
#46 0x08176dc0 in ?? ()
#47 0x08194ae0 in ?? ()
#48 0x00000000 in ?? ()
#49 0x00000000 in ?? ()
#50 0x00000001 in ?? ()
#51 0x08079810 in ?? ()
#52 0x00000000 in ?? ()
#53 0x00000000 in ?? ()
#54 0x0819bb58 in ?? ()
#55 0x080c0780 in ?? ()
#56 0x081610b8 in ?? ()
#57 0x08058a00 in ?? ()
#58 0x080654ec in vtable for QGList ()
#59 0x08162160 in ?? ()
#60 0x08161fc0 in ?? ()
#61 0x08181238 in ?? ()
#62 0xb6d3f4e0 in vtable for QCString () from /usr/lib/libqt-mt.so.3
#63 0x08078590 in ?? ()
#64 0xbffb3fd4 in ?? ()
#65 0x08161a90 in ?? ()
#66 0x0807a240 in ?? ()
#67 0x00000126 in ?? ()
#68 0x000001ff in ?? ()
#69 0xb6616ecc in ?? () from /usr/lib/libqt-mt.so.3
#70 0x00000000 in ?? ()
#71 0x0806cf98 in ?? ()
#72 0x08058a01 in ?? ()
#73 0x081a06b0 in ?? ()
#74 0x0819f3e8 in ?? ()
#75 0xb60f19fc in ?? () from /lib/tls/i686/cmov/libc.so.6
#76 0xb60e932c in ?? () from /lib/tls/i686/cmov/libc.so.6
#77 0x080772c8 in ?? ()
#78 0x00000049 in ?? ()
#79 0xb6d22460 in ?? () from /usr/lib/libqt-mt.so.3
#80 0x00000000 in ?? ()
#81 0xb7fb7ca0 in _rtld_global () from /lib/ld-linux.so.2
#82 0xbffb3fb8 in ?? ()
#83 0xb689cc5f in QAsciiDict<void>::insert () from /usr/lib/libqt-mt.so.3
#84 0xb60faea2 in __libc_start_main () from /lib/tls/i686/cmov/libc.so.6
#85 0x08058791 in ?? ()
Comment 1 Marcus D. Hanwell 2005-10-25 19:19:55 UTC
This looks similar to a crash I have been experiencing when using KDE 3.5 beta2 with Kontact 1.2 and KMail 1.8.92. Not sure what is triggering the crash, but when Kmail/Kontact crashes it appears to corrupt the on disk imap cache. KMail/Kontact will then crash every time I start them until I delete the cache. Anything that invalidates the cache allows kmail to start up again successfully.

If it is useful I have rebuilt with debug and symbols so I could provide output and a backtrace. The same problem happens on both my laptop (GCC 4.0.2-r1) and my desktop (GCC 3.4.4-r1) although I have not observed any similar behaviour in KDE 3.4. I also tried clearing my .kde dir and starting from nothing but the problems persists.
Comment 2 Marcus D. Hanwell 2005-10-30 13:44:30 UTC
If it helps it has happened again on my desktop amd64 system. It is a Gentoo amd64 system, and I rebuilt KDE with symbols and debug enabled. This happens consistently and the fix is to delete a few files from .kde/share/apps/kmail/imap/ but it is really irritating as I then have to download the mails and set up the folders again. Also a lot of folders default to being sorted by sender or subject which never happened in 3.4. If I only delete a couple of files then some folders do retain their settings, but deleting them all always works.

marcus@cryos ~ $ kmail
kmail: KMKernel::KMKernel
kdecore (KConfigSkeleton): Creating KConfigSkeleton (0x88dea0)
kdecore (KConfigSkeleton): KConfigSkeleton::readConfig()
libkdenetwork: creating new pgp object
libkdenetwork: Kpgp: gpg found
kmail: No Qt-native utf-7 codec found; registering QUtf7Codec from libkdenetwork
kmail: [void KMKernel::init()] foldersPath (from config): '/home/marcus/Mail'
kmail: instantating KPIM::IdentityManager
kmail: Identity::readConfig(): UOID = 1269029220 for identity named "Default"
kmail: Identity::readConfig(): UOID = 1615353041 for identity named "Gentoo"
kmail: Identity::readConfig(): UOID = 2113785385 for identity named "Uni"
kmail: WARNING: [void KMFolderImap::setImapPath(const QString&)] ignoring empty path
kmail: WARNING: [void KMFolderImap::setImapPath(const QString&)] ignoring empty path
kmail: pPopFilter set
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-marcus/ksycoca
kimproxy (kdelibs): App kopete, dcopObjectId KIMIface found, using it for presence info.
kmail: KMailApplication::newInstance()
kmail: KMKernel::openReader called
QSplitter::panner 1 I
    QSplitter::panner 2 I
QSplitter::panner 2 I
QSplitter::panner 2 I
kmail: [QTextCodec* KCharsets::codecForName(const QString&, bool&) const]
kmail:  Trying to find IBM852 in /usr/share/i18n/charmaps
kmail: Loading gzipped charset...
kdecore (KAction): WARNING: KAction::plugAccel(): call to deprecated action.
kdecore (KAction): WARNING: KAction::plugAccel( kacc = 0xa29c20 ): KAccel object already contains an action name "delete"
kdecore (KAction): WARNING: KAction::plugAccel(): call to deprecated action.
kdecore (KAction): WARNING: KAction::plugAccel( kacc = 0xa29c20 ): KAccel object already contains an action name "edit"
kdecore (KAction): WARNING: KAction::plugAccel(): call to deprecated action.
kdecore (KAction): WARNING: KAction::plugAccel( kacc = 0xa29c20 ): KAccel object already contains an action name "display_message"
kmail: slotListNamespaces - waiting for connection
kmail: slotListNamespaces - waiting for connection
kmail: slotListNamespaces - waiting for connection
marcus@cryos ~ $ kmail: processNextCheck, remaining 1
kmail: for host imap.cryos.net current connections=0 and limit is 0
kmail: connection limit reached: false
kmail: processing next mail check for Marcus
kmail: check mail started - connections for host imap.cryos.net now is 1
kmail: processNewMail false,status=2
kmail: KMFolderImap::processNewMail - waiting for connection: ADSLGuide
kmail: KMFolderImap::processNewMail - waiting for connection: Business
kmail: KMFolderImap::processNewMail - waiting for connection: Amazon
kmail: KMFolderImap::processNewMail - waiting for connection: Bytemark
kmail: KMFolderImap::processNewMail - waiting for connection: Dabs
kmail: KMFolderImap::processNewMail - waiting for connection: Easily
kmail: KMFolderImap::processNewMail - waiting for connection: eBay
kmail: KMFolderImap::processNewMail - waiting for connection: eCommodate
kmail: KMFolderImap::processNewMail - waiting for connection: OpenHosting
kmail: KMFolderImap::processNewMail - waiting for connection: Thawte
kmail: KMFolderImap::processNewMail - waiting for connection: WCS
kmail: KMFolderImap::processNewMail - waiting for connection: Zen
kmail: KMFolderImap::processNewMail - waiting for connection: Dan
kmail: KMFolderImap::processNewMail - waiting for connection: Drafts
kmail: KMFolderImap::processNewMail - waiting for connection: Friends
kmail: KMFolderImap::processNewMail - waiting for connection: Sent
kmail: KMFolderImap::processNewMail - imapPath of Spam is empty!
kmail: slotListNamespaces - waiting for connection
kmail: slotListNamespaces - waiting for connection
kmail: slotListNamespaces - waiting for connection
*** KMail got signal 11 (Crashing)
KCrash: crashing... crashRecursionCounter = 2
KCrash: Application Name = kmail path = <unknown> pid = 30244

Backtrace if it is of use,

Using host libthread_db library "/lib/tls/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread 46912618150208 (LWP 30244)]
0x00002aaab142de84 in waitpid () from /lib/tls/libpthread.so.0
#0  0x00002aaab142de84 in waitpid () from /lib/tls/libpthread.so.0
#1  0x00002aaaaec6d33e in KCrash::defaultCrashHandler (sig=11)
    at kcrash.cpp:251
#2  0x00002aaab1d0d890 in killpg () from /lib/tls/libc.so.6
#3  0x0000000000000000 in ?? ()
#4  0x0000000000000000 in ?? ()
#5  0x0000000000000000 in ?? ()
#6  0x0000000200000002 in ?? ()
#7  0x0000000000000000 in ?? ()
#8  0x0000000000000000 in ?? ()
#9  0x0000000000000000 in ?? ()
#10 0x0000000000bcb2a0 in ?? ()
#11 0x00002aaaafd3456c in QUType_Null::convertTo () at qucom.cpp:49

I am afraid there is still quite a bit missing, may be I missed something when I rebuild or need to rebuild glibc/gcc with symbols.
Comment 3 Marcus D. Hanwell 2005-10-30 17:59:21 UTC
Created attachment 13225 [details]
kontact-backtrace.txt

This is a backtrace from a crash which resulted in kmail crashing every time I
started it again before deleting the cache files. If there is any more
information you need then please let me know, this issue is making kmail near
unusable.
Comment 4 Daniel Hahler 2005-11-10 02:03:21 UTC
This is currently crashing Kontact on startup here. I first get the error from Akregator that the storage engine is faulty (known and solved issue) and then Kontact crashes.

From a rough look at the backtrace it seems to be KMail responsible for this.

Probably identical to some other backtrace above, but I hope it can help to solve this.

(no debugging symbols found)
Using host libthread_db library "/lib/tls/i686/cmov/libthread_db.so.1".
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1241384736 (LWP 13609)]
[KCrash handler]
#7  0xb53ac989 in KMFolder::noContent () from /usr/lib/libkmailprivate.so
#8  0xb55770f9 in KMAcctImap::processNewMail ()
   from /usr/lib/libkmailprivate.so
#9  0xb54dd74e in KMail::AccountManager::processNextCheck ()
   from /usr/lib/libkmailprivate.so
#10 0xb54dd90b in KMail::AccountManager::singleCheckMail ()
   from /usr/lib/libkmailprivate.so
#11 0xb54dde97 in KMail::AccountManager::checkMail ()
   from /usr/lib/libkmailprivate.so
#12 0xb5640176 in KMMainWidget::slotCheckMail ()
   from /usr/lib/libkmailprivate.so
#13 0xb56515a8 in KMMainWidget::qt_invoke () from /usr/lib/libkmailprivate.so
#14 0xb6814929 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#15 0xb6b73e92 in QSignal::signal () from /usr/lib/libqt-mt.so.3
#16 0xb6832344 in QSignal::activate () from /usr/lib/libqt-mt.so.3
#17 0xb6839e88 in QSingleShotTimer::event () from /usr/lib/libqt-mt.so.3
#18 0xb67abf80 in QApplication::internalNotify () from /usr/lib/libqt-mt.so.3
#19 0xb67ac172 in QApplication::notify () from /usr/lib/libqt-mt.so.3
#20 0xb6ef6eec in KApplication::notify (this=0xbfe1c500, receiver=0x87b9590, 
    event=0xbfe1b498) at kapplication.cpp:550
#21 0xb673cdb7 in QApplication::sendEvent () from /usr/lib/libqt-mt.so.3
#22 0xb679d99b in QEventLoop::activateTimers () from /usr/lib/libqt-mt.so.3
#23 0xb6750a84 in QEventLoop::processEvents () from /usr/lib/libqt-mt.so.3
#24 0xb67c3cfb in QEventLoop::enterLoop () from /usr/lib/libqt-mt.so.3
#25 0xb67aac3f in QApplication::enter_loop () from /usr/lib/libqt-mt.so.3
#26 0xb69c5320 in QDialog::exec () from /usr/lib/libqt-mt.so.3
#27 0xb71f10b7 in KMessageBox::createKMessageBox (dialog=0x8881ef0, 
    icon=@0xbfe1b860, text=@0xbfe1b9d8, strlist=@0xbfe1b928, ask=@0x806aaf8, 
    checkboxReturn=0x0, options=) at kmessagebox.cpp:309
#28 0xb71f17cb in KMessageBox::createKMessageBox (dialog=0x8881ef0, 
    icon=QMessageBox::Critical, text=@0xbfe1b9d8, strlist=@0xbfe1b928, 
    ask=@0x806aaf8, checkboxReturn=0x0, options=1, details=@0x806aaf8)
    at kmessagebox.cpp:146
#29 0xb71f1c52 in KMessageBox::errorListWId (parent_id=0, text=@0xbfe1b9d8, 
    strlist=@0xbfe1b928, caption=@0xbfe1b9d4, options=) at kmessagebox.cpp:772
#30 0xb721d8df in KMessageBox::error (parent=0x0, text=@0xbfe1b9d8, 
    caption=@0xbfe1b9d4, options=1) at kmessagebox.cpp:737
#31 0xb50e9634 in Akregator::Part::Part ()
   from /usr/lib/kde3/libakregatorpart.so
#32 0xb510176d in KParts::GenericFactory<Akregator::Part>::createPartObject ()
   from /usr/lib/kde3/libakregatorpart.so
#33 0xb762ec26 in KParts::Factory::createPart (this=0x886a718, 
    parentWidget=0x816d2f0, widgetName=0x0, parent=0x816d2f0, 
    name=0xb7d98875 "kontact", classname=0xb764b7fd "KParts::ReadOnlyPart", 
    args=@0xbfe1bafc) at factory.cpp:44
#34 0xb7d96ff8 in Kontact::Core::createPart ()
   from /usr/lib/libkpinterfaces.so.1
#35 0xb7d973d2 in Kontact::Plugin::loadPart ()
   from /usr/lib/libkpinterfaces.so.1
#36 0xb5a36dee in Akregator::Plugin::createPart ()
   from /usr/lib/kde3/libkontact_akregator.so
#37 0xb7d940cc in Kontact::Plugin::part () from /usr/lib/libkpinterfaces.so.1
#38 0x0805cc18 in ?? ()
#39 0x0827b3b0 in ?? ()
#40 0x00000000 in ?? ()
#41 0xb6d2b7b8 in ?? ()
#42 0xb6286cd0 in ?? () from /usr/lib/libstdc++.so.6
#43 0xb712dd90 in KGradientSelector::drawContents () at qimage.h:401
#44 0x0805c308 in ?? ()
#45 0x0816d2f0 in ?? ()
#46 0x0827b3b0 in ?? ()
#47 0x08869a50 in ?? ()
#48 0x0826fed0 in ?? ()
#49 0x0885def0 in ?? ()
#50 0x08218aa8 in ?? ()
#51 0x081a6dc8 in ?? ()
#52 0xb6260c71 in operator delete () from /usr/lib/libstdc++.so.6
#53 0x08059ee6 in ?? ()
#54 0x0816d2f0 in ?? ()
#55 0x0819f34c in ?? ()
#56 0xbfe1bcf8 in ?? ()
#57 0x08059edc in ?? ()
#58 0xb6ca7630 in vtable for QGArray () from /usr/lib/libqt-mt.so.3
#59 0x08078590 in ?? ()
#60 0x083e7840 in ?? ()
#61 0xbfe1c548 in ?? ()
#62 0x081a3f3c in ?? ()
#63 0x0816d2f0 in ?? ()
#64 0x083e7790 in ?? ()
#65 0xbfe1c548 in ?? ()
#66 0x081a3f3c in ?? ()
#67 0x0816d2f0 in ?? ()
#68 0xbfe1bd58 in ?? ()
#69 0x0805f5be in ?? ()
#70 0x0816d2f0 in ?? ()
#71 0xbfe1bd34 in ?? ()
#72 0x081a3f3c in ?? ()
#73 0x0805f32e in ?? ()
#74 0x081a7068 in ?? ()
#75 0x00000000 in ?? ()
#76 0xb749e410 in KFileMetaInfo::KFileMetaInfo () at kfilemetainfo.cpp:304
Comment 5 Marcus D. Hanwell 2005-11-20 20:06:21 UTC
Just to add that this still happens with 3.5.0_rc1 too. Even after deleting all imap cache files. If kmail crashes for any reason on the next start it crashes every time until the imap cache files are removed.
Comment 6 Gerco Dries 2005-12-09 15:23:15 UTC
I had the same thing happen to me with KDE 3.5, KMail 1.9, Qt 3.3.4 on Gentoo, running inside Kontact.

KMail crashed while filtering messages incoming in my IMAP mailbox, on restarting, KMail crashed before it had started completely. After restarting it again it began redownloading all messages in by IMAP mailbox and filtering them, sometimes crashing in the process.

I haven't had the problem when using CTRL-J to filter marked messages, but I only do that with 15-20 messages at a time, perhaps that has something to do with it?
Comment 7 Marcus D. Hanwell 2005-12-10 13:35:34 UTC
In my case I know it isn't filtering as I don't do any in kmail (use procmail server side). It is a corrupted cache and no matter how many times I restart it I get a crash until I delete the files in .kde/share/apps/kmail/imap (I only delete the visible files now - not all the .files).
Comment 8 Thiago Macieira 2006-01-12 03:49:39 UTC
The second and third backtraces, as well as that from comment #4 are dealt with in bug 113329.
Comment 9 Kern Sibbald 2006-06-03 10:53:26 UTC
I seem to be having the same problem. Basically, if kontact is abnormally shutdown, or if I accidentally try to start a second copy, 9 out of 10 ten times, Kontact will crash, then continue to seg fault on restarting. The fault is in the IMAP handling (traceback similar to those shown by other users).  Most times if I clear everything in .kde/share/apps/kmail/imap I can get it running again. 1 out of 10 of these crashes, kmail is unable to restart because of a mime file type error (sorry I don't have the message). The only cure I have found is re-installing KDE.

To the best of my knowledge I had no filtering turned on when the crash occurs.

I consider this a very high priority bug because it occurs when accidentally launching a second copy of kontact and also happens if I shutdown kontact while my system is running, then restart kontact (apparently some part of kmail remains active thus destroying the cache the next time the program is started).  
Comment 10 Thiago Macieira 2006-06-17 22:17:59 UTC
*** Bug 128560 has been marked as a duplicate of this bug. ***
Comment 11 Thiago Macieira 2006-06-25 14:36:01 UTC
*** Bug 129231 has been marked as a duplicate of this bug. ***
Comment 12 Shriramana Sharma 2006-06-29 13:34:39 UTC
Hello, I reported bug 130010 which has been dupped to 128560 (which in turn dups to here). Sorry for the dup but really 128560 did not show up on the "Check if dup" list when I entered my bug.

Now effectively bug 130010, 128560 and 129231 have been marked duplicates of this bug, but this bug involves IMAP, right? I do not have any IMAP accounts at all configured in my KMail. 

I actually saw this bug in the "Check if dup" list, but since this involves IMAP and my case does not, I did not think this was the same bug.

Further, a first look at the backtrace here and in the three other bugs shows a distinct difference halfway through the trace. Here, QEventLoop::enterLoop () is called by QEventLoop::exec () but in the other three, it is called by QApplication::enter_loop (). After that, there are many more differences.

So I really do not know if this bug and the other three are the same.
Comment 13 Franklin Weng 2006-06-29 13:56:06 UTC
Yeah, my report bug 129231 seems to be the same with bug 128560 and 130010, and my configurations have nothing about IMAP too. I tried to delete every cache as possible, including my full-text index, and something that "seems to be of no use" but in vain. I don't think this (128560, 129231 & 130010) is the same bug with this one.
Comment 14 Kern Sibbald 2006-06-29 14:42:34 UTC
The bug I am seeing is definitely related to IMAP.  If I blow away
   ~/.kde/share/apps/kmail/imap/nnnnnnn
where nnnnnnn varies and is apparently the cache file, it all works again.  To do so, I log out, log back in under Gnome (or could use a non-Graphical login), kill off all the "kontact" programs that are running (there are at least 3 or 4) then delete the file.

My experience was if I tried to delete this file while KDE is running, it is re-created in a broken state when KDE exists, and so the problem persists when KDE restarts.

The only "downside" to fixing the problem this way is that the cache is lost, so if you have some big IMAP files as I do (one is 3GB) it takes a bit to reload the cache the first time.
Comment 15 Tommi Tervo 2006-07-26 13:17:09 UTC
*** Bug 131368 has been marked as a duplicate of this bug. ***
Comment 16 Eric Mountain 2006-07-26 23:18:31 UTC
Hi,

Just thought I'd mention that in Bug 131368 which was marked dupe of this one, I am not using IMAP at all.  It's all POP3 and maildir for storage on local disks.
Comment 17 Philip Rodrigues 2006-12-12 21:05:51 UTC
*** Bug 138710 has been marked as a duplicate of this bug. ***
Comment 18 Stephan Kulow 2007-03-21 10:17:36 UTC
The bug contains too much 113329 related noise. So let's start from scratch with that other bug :) 


*** This bug has been marked as a duplicate of 140460 ***